namespace Wizard;

public class TransitionInfoTask : BaseTask
{
	public int Status { get; private set; }

	public TransitionInfoTask()
	{
		base.type = ApiType.Type.TransitionInfo;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Status = base.ResponseData["data"]["status"].ToInt();
		return num;
	}
}
